get_declared_classes
get_object_vars
Classes/Object Functions
PHP Manual

# get_declared_interfaces

(PHP 5)

get_declared_interfaces — Returns an array of all declared interfaces

### Description

array get_declared_interfaces ( void )

Gets the declared interfaces.

### Return Values

Returns an array of the names of the declared interfaces in the current script.

### Examples

Example #1 get_declared_interfaces() example

`<?php
print_r(get_declared_interfaces());
?>`

The above example will output something similar to:

    Array
    (
        [0] => Traversable
        [1] => IteratorAggregate
        [2] => Iterator
        [3] => ArrayAccess
        [4] => reflector
        [5] => RecursiveIterator
        [6] => SeekableIterator
    )

### See Also

- get_declared_classes()
- class_implements()

get_declared_classes
get_object_vars
Classes/Object Functions
PHP Manual